org.apache.ode.bpel.pmapi

## Interface ReplayResponse

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    ReplayResponseImpl

      public interface ReplayResponse
      extends org.apache.xmlbeans.XmlObject

  An XML ReplayResponse(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ReplayResponse.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlLong` | `addNewRestoredIID()` Appends and returns a new empty value (as xml) as the last "restoredIID" element
    `void` | `addRestoredIID(long restoredIID)` Appends the value as the last "restoredIID" element
    `long[]` | `getRestoredIIDArray()` Deprecated.
    `long` | `getRestoredIIDArray(int i)` Gets ith "restoredIID" element
    `java.util.List<java.lang.Long>` | `getRestoredIIDList()` Gets a List of "restoredIID" elements
    `org.apache.xmlbeans.XmlLong` | `insertNewRestoredIID(int i)` Inserts and returns a new empty value (as xml) as the ith "restoredIID" element
    `void` | `insertRestoredIID(int i, long restoredIID)` Inserts the value as the ith "restoredIID" element
    `void` | `removeRestoredIID(int i)` Removes the ith "restoredIID" element
    `void` | `setRestoredIIDArray(int i, long restoredIID)` Sets ith "restoredIID" element
    `void` | `setRestoredIIDArray(long[] restoredIIDArray)` Sets array of all "restoredIID" element
    `int` | `sizeOfRestoredIIDArray()` Returns number of "restoredIID" element
    `org.apache.xmlbeans.XmlLong[]` | `xgetRestoredIIDArray()` Deprecated.
    `org.apache.xmlbeans.XmlLong` | `xgetRestoredIIDArray(int i)` Gets (as xml) ith "restoredIID" element
    `java.util.List<org.apache.xmlbeans.XmlLong>` | `xgetRestoredIIDList()` Gets (as xml) a List of "restoredIID" elements
    `void` | `xsetRestoredIIDArray(int i, org.apache.xmlbeans.XmlLong restoredIID)` Sets (as xml) ith "restoredIID" element
    `void` | `xsetRestoredIIDArray(org.apache.xmlbeans.XmlLong[] restoredIIDArray)` Sets (as xml) array of all "restoredIID" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getRestoredIIDList

          java.util.List<java.lang.Long> getRestoredIIDList()

      Gets a List of "restoredIID" elements

    - #### getRestoredIIDArray

          @Deprecated
          long[] getRestoredIIDArray()

      Deprecated.
      Gets array of all "restoredIID" elements

    - #### getRestoredIIDArray

          long getRestoredIIDArray(int i)

      Gets ith "restoredIID" element

    - #### xgetRestoredIIDList

          java.util.List<org.apache.xmlbeans.XmlLong> xgetRestoredIIDList()

      Gets (as xml) a List of "restoredIID" elements

    - #### xgetRestoredIIDArray

          @Deprecated
          org.apache.xmlbeans.XmlLong[] xgetRestoredIIDArray()

      Deprecated.
      Gets (as xml) array of all "restoredIID" elements

    - #### xgetRestoredIIDArray

          org.apache.xmlbeans.XmlLong xgetRestoredIIDArray(int i)

      Gets (as xml) ith "restoredIID" element

    - #### sizeOfRestoredIIDArray

          int sizeOfRestoredIIDArray()

      Returns number of "restoredIID" element

    - #### setRestoredIIDArray

          void setRestoredIIDArray(long[] restoredIIDArray)

      Sets array of all "restoredIID" element

    - #### setRestoredIIDArray

          void setRestoredIIDArray(int i,
                                 long restoredIID)

      Sets ith "restoredIID" element

    - #### xsetRestoredIIDArray

          void xsetRestoredIIDArray(org.apache.xmlbeans.XmlLong[] restoredIIDArray)

      Sets (as xml) array of all "restoredIID" element

    - #### xsetRestoredIIDArray

          void xsetRestoredIIDArray(int i,
                                  org.apache.xmlbeans.XmlLong restoredIID)

      Sets (as xml) ith "restoredIID" element

    - #### insertRestoredIID

          void insertRestoredIID(int i,
                               long restoredIID)

      Inserts the value as the ith "restoredIID" element

    - #### addRestoredIID

          void addRestoredIID(long restoredIID)

      Appends the value as the last "restoredIID" element

    - #### insertNewRestoredIID

          org.apache.xmlbeans.XmlLong insertNewRestoredIID(int i)

      Inserts and returns a new empty value (as xml) as the ith "restoredIID" element

    - #### addNewRestoredIID

          org.apache.xmlbeans.XmlLong addNewRestoredIID()

      Appends and returns a new empty value (as xml) as the last "restoredIID" element

    - #### removeRestoredIID

          void removeRestoredIID(int i)

      Removes the ith "restoredIID" element